#include "iap.h"
#include "CommandsDefine.h"
#include "ProjectConfig.h"
#include "usart.h"	
#include "Helper.h"
#include "sys.h"
/* 发起开始更新 
  正确的响应：从App跳转到Boot.如果已经在Boot中，返回错误Error0x03_AlreadyAtBoot
	发送格式:
  包起始标识
	+CMD0x05_Request_UpdateStart
	+[2字节的数据长度，=00]
	+包尾标识	
	
	返回：无。在发起此命令后，应用端应该在稍后检查是否运行在Boot，然后才开始更新
*/
void CMD0x06_Request_RegisterAppStartTime_process(u8 *pData,u16 dataLen,u8 bIsContentBitInverted_Recv,u8 bIsContentBitInverted_SendBack)
{
	u16 validBytes=dataLen;	
	if (bIsContentBitInverted_Recv)
	{
		if (!Helper_CheckInvertBytesIsRegist(pData,dataLen))
		{
			return;
		}
		validBytes=dataLen/2;
	}
	if (validBytes<BYTES_MASTER_STARTTIME)	
	{
		for(int i=0;i<validBytes;i++)
			RegisteredMatserStartTime[i]=pData[i];
	}
}

